import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import { getRoleFromUrl } from "../../../utils/getRoleFromUrl";

export const slaughterGetAggregateLoadInformationService = createAsyncThunk(
  "SLAUGHTER_GET_AGGREGATE_LOAD_INFORMATION_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(
      "kill_house_request_aggregate_load/",
      {
        params: {
          role: getRoleFromUrl(),
          date: d.date,
        },
      }
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);
